﻿namespace AEA.WPFControls
{
    /// <summary>
    /// Specifies what to render (image or text) for this <see cref="AEA.WPFControls.SplitButton"/>.
    /// </summary>
    public enum SplitButtonDisplayStyle
    {
        /// <summary>
        /// Specifies that only text is to be rendered for this  <see cref="AEA.WPFControls.SplitButton"/>.
        /// </summary>
        Text = 0,

        /// <summary>
        /// Specifies that only an image is to be rendered for this  <see cref="AEA.WPFControls.SplitButton"/>.
        /// </summary>
        Image = 1,

        /// <summary>
        /// Specifies that both an image and text are to be rendered for this  <see cref="AEA.WPFControls.SplitButton"/>.
        /// </summary>
        TextAndImage = 2,
    }
}